unit UFArchivUmbenennen;

interface

uses
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, global;

type
  TFArchivUmbenennen = class(TForm)
    livorhanden: TListBox;
    Label1: TLabel;
    Label2: TLabel;
    teneu: TEdit;
    procedure FormShow(Sender: TObject);
    procedure teneuKeyPress(Sender: TObject; var Key: Char);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  FArchivUmbenennen: TFArchivUmbenennen;

implementation

{$R *.lfm}

procedure TFArchivUmbenennen.FormShow(Sender: TObject);

var
     j : integer;

begin
     for  j := 1 to recordcount do
     begin
          lesen (j);

          if   livorhanden.Items.indexof (rec.HDName) = -1
          then livorhanden.items.add (rec.HDName);
     end;

     livorhanden.itemindex := 0;
end;

procedure TFArchivUmbenennen.teneuKeyPress(Sender: TObject; var Key: Char);

var
     j, anz : integer;
     vorgabe : string;

begin
     if   key <> #13
     then exit;

     if   trim (teneu.text) = '' then
     begin
          beep;
          showmessage ('Es wurde kein neuer Archivname eingegeben!');
          exit;
     end;

     anz := 0;
     vorgabe := livorhanden.items [livorhanden.itemindex];

     for  j := 1 to recordcount do
     begin
          lesen (j);

          if   rec.HDName = vorgabe then
          begin
               rec.HDName := teneu.text;
               schreiben (j);
               inc (anz);
          end;
     end;

     showmessage ('Betroffene Datensätze: ' + inttostr (anz));

     close; 
end;

end.
